import { OnInit } from "@angular/core";
import { DialogTransactionLineBaseComponent } from '../../../core/base/dialog-transaction-line-base.component';
import { Warehouse } from "@colijnit/transactionapi/build/model/warehouse.bo";
import { AppPopupButtonType } from "../../../core/enum/app-popup-button-type.enum";
import { Icon } from "../../../../enum/icon.enum";
export declare enum WarehouseTargetSourceTab {
    Source = 0,
    Target = 1
}
export declare enum LineTypeTab {
    General = 0,
    Interbranch = 1
}
export declare class DialogTransactionLineWarehouseComponent extends DialogTransactionLineBaseComponent implements OnInit {
    readonly interBranchTab: typeof WarehouseTargetSourceTab;
    readonly lineTab: typeof LineTypeTab;
    activeInterbranchTab: WarehouseTargetSourceTab;
    activeLineTab: LineTypeTab;
    warehouse: number;
    sourceWarehouse: number;
    targetWarehouse: number;
    warehouseDisplayList: Warehouse[];
    sourceWarehouseDescription: string;
    targetWarehouseDescription: string;
    ngOnInit(): void;
    showClass(): boolean;
    protected transactionLineSet(): void;
    handleWarehouseValueChange(value: number): void;
    handleSourceValueChange(value: number): void;
    handleTargetValueChange(value: number): void;
    showLineTab(tab: LineTypeTab): void;
    checkWarehouseForTabSwitch(tab: LineTypeTab): void;
    showInterbranchTab(tab: WarehouseTargetSourceTab): void;
    removeInterBranchConnections(): Promise<void>;
    handleOkClick(): Promise<boolean>;
    private _updateLineWarehouseIfNeeded;
    private _createInterbranchConnection;
    private _removeInterbranchConnection;
    private _getWarehouseListForDisplay;
    private _getWarehouseDescription;
    readonly icons: typeof Icon;
    readonly buttonType: typeof AppPopupButtonType;
}
